forked from qnblackcat/uYouPlus
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- Loading branch information
Showing
18 changed files
with
105 additions
and
104 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/Return-YouTube-Dislikes/layout/Library/Application Support/RYD.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/YTABConfig/layout/Library/Application Support/YTABC.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/YTUHD/layout/Library/Application Support/YTUHD.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/YouPiP/layout/Library/Application Support/YouPiP.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/iSponsorBlock/layout/Library/Application Support/iSponsorBlock.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../Tweaks/uYou/Library/Application Support/uYouBundle.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
../lang/uYouPlus.bundle |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -1,38 +1,76 @@ | ||
TARGET = iphone:clang:15.5:14.0 | ||
uYouPlus_USE_FISHHOOK = 0 | ||
ARCHS = arm64 | ||
MODULES = jailed | ||
FINALPACKAGE = 1 | ||
CODESIGN_IPA = 0 | ||
PACKAGE_VERSION = 18.08.1-2.3~1 | ||
export TARGET = iphone:clang:15.5:14.0 | ||
export ARCHS = arm64 | ||
|
||
export libcolorpicker_ARCHS = arm64 | ||
export libFLEX_ARCHS = arm64 | ||
export Alderis_XCODEOPTS = LD_DYLIB_INSTALL_NAME=@rpath/Alderis.framework/Alderis | ||
export libcolorpicker_LDFLAGS = -F$(TARGET_PRIVATE_FRAMEWORK_PATH) -install_name @rpath/libcolorpicker.dylib | ||
export ADDITIONAL_CFLAGS = -I$(THEOS_PROJECT_DIR)/Tweaks/RemoteLog | ||
|
||
ifndef YOUTUBE_VERSION | ||
YOUTUBE_VERSION = 18.08.1 | ||
endif | ||
ifndef UYOU_VERSION | ||
UYOU_VERSION = 2.3~1 | ||
endif | ||
PACKAGE_VERSION = $(YOUTUBE_VERSION)_$(UYOU_VERSION) | ||
|
||
INSTALL_TARGET_PROCESSES = YouTube | ||
TWEAK_NAME = uYouPlus | ||
DISPLAY_NAME = YouTube | ||
BUNDLE_ID = com.google.ios.youtube | ||
|
||
EXTRA_CFLAGS := $(addprefix -I,$(shell find Tweaks/FLEX -name '*.h' -exec dirname {} \;)) | ||
$(TWEAK_NAME)_FILES = uYouPlus.xm Settings.xm | ||
$(TWEAK_NAME)_FRAMEWORKS = UIKit Security | ||
$(TWEAK_NAME)_CFLAGS = -fobjc-arc -DTWEAK_VERSION=\"$(PACKAGE_VERSION)\" | ||
$(TWEAK_NAME)_INJECT_DYLIBS = Tweaks/uYou/Library/MobileSubstrate/DynamicLibraries/uYou.dylib $(THEOS_OBJ_DIR)/libFLEX.dylib $(THEOS_OBJ_DIR)/iSponsorBlock.dylib $(THEOS_OBJ_DIR)/YouPiP.dylib $(THEOS_OBJ_DIR)/YouTubeDislikesReturn.dylib $(THEOS_OBJ_DIR)/YTABConfig.dylib $(THEOS_OBJ_DIR)/YTUHD.dylib | ||
$(TWEAK_NAME)_EMBED_LIBRARIES = $(THEOS_OBJ_DIR)/libcolorpicker.dylib | ||
$(TWEAK_NAME)_EMBED_FRAMEWORKS = $(_THEOS_LOCAL_DATA_DIR)/$(THEOS_OBJ_DIR_NAME)/install/Library/Frameworks/Alderis.framework | ||
$(TWEAK_NAME)_EMBED_BUNDLES = $(wildcard Bundles/*.bundle) | ||
$(TWEAK_NAME)_EMBED_EXTENSIONS = $(wildcard Extensions/*.appex) | ||
|
||
uYouPlus_INJECT_DYLIBS = Tweaks/uYou/Library/MobileSubstrate/DynamicLibraries/uYou.dylib .theos/obj/libcolorpicker.dylib .theos/obj/iSponsorBlock.dylib .theos/obj/YTUHD.dylib .theos/obj/YouPiP.dylib .theos/obj/YouTubeDislikesReturn.dylib .theos/obj/YTABConfig.dylib | ||
uYouPlus_FILES = uYouPlus.xm Settings.xm $(shell find Tweaks/FLEX -type f \( -iname \*.c -o -iname \*.m -o -iname \*.mm \)) | ||
uYouPlus_IPA = tmp/Payload/YouTube.app | ||
uYouPlus_FRAMEWORKS = UIKit Security | ||
uYouPlus_CFLAGS = -fobjc-arc -Wno-deprecated-declarations -Wno-unsupported-availability-guard -Wno-unused-but-set-variable -DTWEAK_VERSION=$(PACKAGE_VERSION) $(EXTRA_CFLAGS) | ||
ifneq ($(JAILBROKEN),1) | ||
arm64_LDFLAGS = -F$(_THEOS_LOCAL_DATA_DIR)/$(THEOS_OBJ_DIR_NAME)/install/Library/Frameworks | ||
MODULES = jailed | ||
endif | ||
|
||
include $(THEOS)/makefiles/common.mk | ||
include $(THEOS_MAKE_PATH)/tweak.mk | ||
SUBPROJECTS += Tweaks/Alderis Tweaks/iSponsorBlock Tweaks/YTUHD Tweaks/YouPiP Tweaks/Return-YouTube-Dislikes Tweaks/YTABConfig | ||
ifneq ($(JAILBROKEN),1) | ||
SUBPROJECTS += Tweaks/Alderis Tweaks/FLEXing/libflex Tweaks/iSponsorBlock Tweaks/Return-YouTube-Dislikes Tweaks/YouPiP Tweaks/YTABConfig Tweaks/YTUHD | ||
include $(THEOS_MAKE_PATH)/aggregate.mk | ||
endif | ||
include $(THEOS_MAKE_PATH)/tweak.mk | ||
|
||
REMOVE_EXTENSIONS = 1 | ||
CODESIGN_IPA = 0 | ||
|
||
UYOU_PATH = Tweaks/uYou | ||
UYOU_DEB = $(UYOU_PATH)/com.miro.uyou_$(UYOU_VERSION)_iphoneos-arm.deb | ||
UYOU_DYLIB = $(UYOU_PATH)/Library/MobileSubstrate/DynamicLibraries/uYou.dylib | ||
UYOU_BUNDLE = $(UYOU_PATH)/Library/Application\ Support/uYouBundle.bundle | ||
|
||
internal-clean:: | ||
@rm -rf $(UYOU_PATH)/* | ||
|
||
ifneq ($(JAILBROKEN),1) | ||
before-all:: | ||
@if [[ ! -f $(UYOU_DEB) ]]; then \ | ||
rm -rf $(UYOU_PATH)/*; \ | ||
$(PRINT_FORMAT_BLUE) "Downloading uYou"; \ | ||
fi | ||
before-all:: | ||
@if [[ ! -f $(UYOU_DEB) ]]; then \ | ||
if [[ $$(("$$(curl https://miro92.com/repo/debs/com.miro.uyou_$(UYOU_VERSION)_iphoneos-arm.deb -sw "%{http_code}" -o $(UYOU_DEB))")) -ne 200 ]]; then \ | ||
$(PRINT_FORMAT_ERROR) "Failed to download uYou"; exit 1; \ | ||
fi; \ | ||
fi; \ | ||
if [[ ! -f $(UYOU_DYLIB) || ! -d $(UYOU_BUNDLE) ]]; then \ | ||
tar -xf Tweaks/uYou/com.miro.uyou_$(UYOU_VERSION)_iphoneos-arm.deb -C Tweaks/uYou; tar -xf Tweaks/uYou/data.tar* -C Tweaks/uYou; \ | ||
if [[ ! -f $(UYOU_DYLIB) || ! -d $(UYOU_BUNDLE) ]]; then \ | ||
$(PRINT_FORMAT_ERROR) "Failed to extract uYou"; exit 1; \ | ||
fi; \ | ||
fi; | ||
else | ||
before-package:: | ||
@echo -e "==> \033[1mMoving tweak's bundle to Resources/...\033[0m" | ||
@mkdir -p Resources/Frameworks/Alderis.framework && find .theos/obj/install/Library/Frameworks/Alderis.framework -maxdepth 1 -type f -exec cp {} Resources/Frameworks/Alderis.framework/ \; | ||
@cp -R Tweaks/YouPiP/layout/Library/Application\ Support/YouPiP.bundle Resources/ | ||
@cp -R Tweaks/YTUHD/layout/Library/Application\ Support/YTUHD.bundle Resources/ | ||
@cp -R Tweaks/Return-YouTube-Dislikes/layout/Library/Application\ Support/RYD.bundle Resources/ | ||
@cp -R Tweaks/YTABConfig/layout/Library/Application\ Support/YTABC.bundle Resources/ | ||
@cp -R Tweaks/iSponsorBlock/layout/Library/Application\ Support/iSponsorBlock.bundle Resources/ | ||
@cp -R Tweaks/uYou/Library/Application\ Support/uYouBundle.bundle Resources/ | ||
@cp -R lang/uYouPlus.bundle Resources/ | ||
@echo -e "==> \033[1mChanging the installation path of dylibs...\033[0m" | ||
@ldid -r .theos/obj/iSponsorBlock.dylib && install_name_tool -change /usr/lib/libcolorpicker.dylib @rpath/libcolorpicker.dylib .theos/obj/iSponsorBlock.dylib | ||
@codesign --remove-signature .theos/obj/libcolorpicker.dylib && install_name_tool -change /Library/Frameworks/Alderis.framework/Alderis @rpath/Alderis.framework/Alderis .theos/obj/libcolorpicker.dylib | ||
@mkdir -p $(THEOS_STAGING_DIR)/Library/Application\ Support; cp -r lang/uYouPlus.bundle $(THEOS_STAGING_DIR)/Library/Application\ Support/ | ||
endif |
Submodule Alderis
updated
75 files
Submodule FLEX
deleted from
208301
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -1,55 +1,8 @@ | ||
#!/bin/bash | ||
# Thanks Al4ise for his support | ||
|
||
cd "$(dirname "$0")" | ||
|
||
# Check uYou | ||
if [ ! -f Tweaks/uYou/com.miro.uyou_2.3~1_iphoneos-arm.deb ] | ||
then | ||
echo -e "==> \033[1muYou v2.3~1 is not found. Downloading uYou (v2.3~1)...\033[0m" | ||
(set -x ; curl https://miro92.com/repo/debs/com.miro.uyou_2.3~1_iphoneos-arm.deb --output Tweaks/uYou/com.miro.uyou_2.3~1_iphoneos-arm.deb) | ||
read -p $'\e[34m==> \e[1;39mPath to the decrypted YouTube.ipa or YouTube.app: ' PATHTOYT | ||
make package IPA=$PATHTOYT FINALPACKAGE=1 | ||
if [[ $? -eq 0 ]]; then | ||
open packages | ||
echo "\033[0;32m==> \033[1;39mSHASUM256: $(shasum -a 256 packages/*.ipa)" | ||
else | ||
echo -e "==> \033[1mFounded uYou (v2.3~1)!\033[0m" | ||
fi | ||
|
||
# Extract uYou | ||
echo -e "==> \033[1mExtracting uYou...\033[0m" | ||
if (cd Tweaks/uYou && tar -xf com.miro.uyou_2.3~1_iphoneos-arm.deb && tar -xf data.tar.*) | ||
then | ||
echo -e "\033[1m> Extracted uYou!\033[0m" | ||
else | ||
echo "> \033[1mCouldn't extract uYou\033[0m" | ||
fi | ||
|
||
# Makefile | ||
if [ -d tmp ] | ||
then | ||
rm -rf tmp | ||
fi | ||
read -e -p "==> Path to the decrypted YouTube.ipa or YouTube.app: " PATHTOYT | ||
if [[ $PATHTOYT == *.ipa ]] | ||
then | ||
unzip -q "$PATHTOYT" -d tmp | ||
rm -rf tmp/Payload/YouTube.app/_CodeSignature/CodeResources | ||
rm -rf tmp/Payload/YouTube.app/PlugIns/*.appex | ||
cp -R Extensions/*.appex tmp/Payload/YouTube.app/PlugIns | ||
make package FINALPACKAGE=1 | ||
open packages | ||
|
||
elif [[ $PATHTOYT == *.app ]] | ||
then | ||
mkdir -p tmp/Payload/ | ||
cp -R "$PATHTOYT" tmp/Payload 2>/dev/null | ||
rm -rf tmp/Payload/YouTube.app/_CodeSignature/CodeResources | ||
rm -rf tmp/Payload/YouTube.app/PlugIns/*.appex | ||
cp -R Extensions/*.appex tmp/Payload/YouTube.app/PlugIns | ||
make package FINALPACKAGE=1 | ||
open packages | ||
else | ||
echo "This is not an ipa/app!" | ||
fi | ||
# Clean up | ||
tput setaf 1 && echo -e "==> \033[1mCleaning up...\033[0m" | ||
find Tweaks/uYou -mindepth 1 ! -name "com.miro.uyou_2.3~1_iphoneos-arm.deb" ! -name ".gitkeep" -exec rm -rf {} \; 2>/dev/null | ||
rm -rf tmp/ Resources .theos/_/Payload | ||
echo -e "==> \033[1mSHASUM256: $(shasum -a 256 packages/*.ipa)\033[0m" | ||
echo "\033[0;31m==> \033[1;39mFailed building uYouPlus" | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,8 @@ | ||
Package: com.qnblackcat.uyouplus | ||
Name: uYouPlus | ||
Architecture: iphoneos-arm | ||
Description: Modified version of uYou | ||
Maintainer: qnblackcat | ||
Author: qnblackcat | ||
Section: Tweaks | ||
Depends: mobilesubstrate (>= 0.9.5000), com.galacticdev.isponsorblock, com.miro.uyou, com.ps.youpip, com.ps.ytabconfig, com.ps.ytuhd, libflex, weeb.lillie.youtubedislikesreturn |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
{ Filter = { Bundles = ( "com.google.ios.youtube" ); }; } |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters